#include "rational.hpp"
#include <sstream>

Rational::Rational(int z, int n) : zaehler(z), nenner(n) {}

std::string Rational::toString() const {
	std::stringstream strstr;
	strstr << zaehler << "/" << nenner;
	return strstr.str();
}

Rational Rational::operator*(const Rational& rechts) const {
	Rational ergebnis(this->zaehler * rechts.zaehler, this->nenner * rechts.nenner);
	return ergebnis;
}

Rational& Rational::operator*=(const Rational& rechts) {
	this->zaehler *= rechts.zaehler;
	this->nenner *= rechts.nenner;
	return *this;
}

std::ostream& operator<<(std::ostream& os, const Rational& r){
	os << r.toString();
	return os;
}
