#ifndef _RATIONAL_HPP_
#define _RATIONAL_HPP_

#include <string>
#include <sstream>

template <typename T>
class Rational {
private:
	T zaehler;
	T nenner;
	
public:
	explicit Rational(T z=0, T n=1) : zaehler(z), nenner(n) {}
	
	
	std::string toString() const {
		std::stringstream strstr;
		strstr << zaehler << "/" << nenner;
		return strstr.str();
	}

	
	Rational operator*(const Rational& rechts) const{	
		Rational ergebnis(this->zaehler * rechts.zaehler, this->nenner * rechts.nenner);
		return ergebnis;
	}
	
	Rational& operator*=(const Rational& rechts){
		this->zaehler *= rechts.zaehler;
		this->nenner *= rechts.nenner;
		return *this;
	}
};

template <typename T>
std::ostream& operator<<(std::ostream& os, const Rational<T>& r){
	os << r.toString();
	return os;
}

#endif
